#include <bits/stdc++.h>
using namespace std;
int main ()
{
    ifstream f("BAI2_17.inp");
	ofstream g("BAI2_17.out");
	long a,b,n,i,dem=0;
	f>>a>>b>>n;
	for (i=1;i<=n;i++)
	{
		if (i%a==0||i%b==0)
		dem++;
	}
	g<<dem;
    f.close();
    g.close();
}
		
	
	
